/*
 * JBoss, Home of Professional Open Source
 * Copyright 2011 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @author tags. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */
package org.jboss.as.console.client.shared.testsuites;

import com.google.gwt.junit.tools.GWTTestSuite;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.jboss.as.console.client.shared.runtime.naming.JndiTreeParserTest;
import org.jboss.as.console.client.shared.viewframework.EntityToDmrBridgeImplTest;

/**
 * Using a single test suite for all the GWTTestCase tests speeds up execution
 * as it stops the GWT test system from being booted for every test.
 *
 * @author David Bosschaert
 */
public class ConsoleGWTTestSuite extends GWTTestSuite {
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTestSuite(JndiTreeParserTest.class);
        suite.addTestSuite(EntityToDmrBridgeImplTest.class);
        return suite;
    }
}
